curl --request GET \
--url https://app.fullenrich.com/api/v2/sub-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fullenrich.com/api/v2/sub-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fullenrich.com/api/v2/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/sub-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/sub-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.fullenrich.com/api/v2/sub-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/sub-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "70ff6a88-6291-417d-b6cd-04f1ca123470",
"workspace_id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Acme Europe",
"archived": false,
"created_at": "2026-08-05T09:30:00Z",
"updated_at": "2026-08-05T09:30:00Z"
}
]List Sub-accounts
List sub-accounts in the workspace associated with the API key. Archived sub-accounts are excluded by default. This workspace-level management request must not include the Sub-Account-ID header.
curl --request GET \
--url https://app.fullenrich.com/api/v2/sub-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fullenrich.com/api/v2/sub-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fullenrich.com/api/v2/sub-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/sub-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/sub-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.fullenrich.com/api/v2/sub-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/sub-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "70ff6a88-6291-417d-b6cd-04f1ca123470",
"workspace_id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Acme Europe",
"archived": false,
"created_at": "2026-08-05T09:30:00Z",
"updated_at": "2026-08-05T09:30:00Z"
}
]archived=true to include both active and archived sub-accounts.
Sub-Account-ID header.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Whether to include archived sub-accounts in addition to active sub-accounts.
Response
OK
The sub-account ID. Use this value in the Sub-Account-ID header for scoped API calls.
"70ff6a88-6291-417d-b6cd-04f1ca123470"
The ID of the workspace that owns the sub-account.
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"
The sub-account name.
"Acme Europe"
Whether the sub-account is archived.
false
When the sub-account was created.
"2026-08-05T09:30:00Z"
When the sub-account was last updated.
"2026-08-05T09:30:00Z"
Was this page helpful?